#pragma once

#include "Vector.h"
#include "FileSystemPath.h"

class Directory
{
public:
    static Vector<FileSystemPath> getSubdirectories(const FileSystemPath& path);

    static void create(const FileSystemPath& path, bool existsOK = false);

    static Vector<FileSystemPath> getFiles(const FileSystemPath& path, bool recursive=false);

    static Vector<FileSystemPath> getFilesWithExtension(const FileSystemPath& path, const String& extension, bool recursive=false);
};
