#include "ConsoleLogger.h"

#include <stdio.h>
#include <stdarg.h>

void ConsoleLogger::logLine(const String& msg)
{
    printf("%s\n", msg.raw());
}

void ConsoleLogger::logLine(const char* fmt, ...)
{
    va_list(args);
    va_start(args, fmt);
    vprintf((String(fmt) + "\n").raw(), args);
    va_end(args);
}